Classes | Namespaces | Functions
ShapeInfo.h File Reference
`#include <functional>`
`#include <map>`
`#include <memory>`
`#include <vector>`
`#include <boost/optional.hpp>`
`#include "Arrow.h"`
`#include "ColorReference.h"`
`#include "Coordinate.h"`
`#include "Dash.h"`
`#include "Fill.h"`
`#include "Line.h"`
`#include "MSPUBTypes.h"`
`#include "Margins.h"`
`#include "PolygonUtils.h"`
`#include "Shadow.h"`
`#include "ShapeType.h"`
`#include "TableInfo.h"`
`#include "VerticalAlign.h"`

Go to the source code of this file.

## Classes
struct | libmspub::ShapeInfo

## Namespaces
| libmspub

## Functions
void | libmspub::noop (const CustomShape *)